diff -ur Linux-PAM-0.80.org/modules/pam_limits/pam_limits.c Linux-PAM-0.80/modules/pam_limits/pam_limits.c
--- Linux-PAM-0.80.org/modules/pam_limits/pam_limits.c	2005-07-06 08:05:32.000000000 +0000
+++ Linux-PAM-0.80/modules/pam_limits/pam_limits.c	2005-08-01 17:17:06.000000000 +0000
@@ -37,6 +37,11 @@
 #define UT_USER ut_user
 #endif
 
+/* Hack to test new rlimit values */
+#define RLIMIT_NICE	13
+#define RLIMIT_RTPRIO	14
+#define RLIM_NLIMITS	15
+
 #include <grp.h>
 #include <pwd.h>
 
diff -ur Linux-PAM-0.80.org/modules/pam_pwdb/pam_pwdb.c Linux-PAM-0.80/modules/pam_pwdb/pam_pwdb.c
--- Linux-PAM-0.80.org/modules/pam_pwdb/pam_pwdb.c	2000-11-19 23:54:04.000000000 +0000
+++ Linux-PAM-0.80/modules/pam_pwdb/pam_pwdb.c	2005-08-01 17:16:24.000000000 +0000
@@ -98,11 +98,14 @@
     pwdb_end();
 
     if ( on(UNIX_LIKE_AUTH, ctrl) ) {
-	int *pretval = &retval;
+	const void *pretval = NULL;
 
 	D(("recovering return code from auth call"));
-	pam_get_data(pamh, "pwdb_setcred_return", (const void **) pretval);
-	D(("recovered data indicates that old retval was %d", retval));
+	if ( pam_get_data(pamh, "pwdb_setcred_return", &pretval) 
+	    == PAM_SUCCESS ) {
+	    retval = (int)(long)pretval;
+	    D(("recovered data indicates that old retval was %d", retval));
+	}
     }
 
     return retval;
diff -ur Linux-PAM-0.80.org/modules/pam_unix/support.c Linux-PAM-0.80/modules/pam_unix/support.c
--- Linux-PAM-0.80.org/modules/pam_unix/support.c	2005-07-08 09:20:07.000000000 +0000
+++ Linux-PAM-0.80/modules/pam_unix/support.c	2005-08-01 17:16:24.000000000 +0000
@@ -801,7 +801,7 @@
 			if (new != NULL) {
 
 			    const char *login_name;
-			    const void *void_old;
+			    const void *void_old = NULL;
 
 
 			    login_name = _pammodutil_getlogin(pamh);
Only in Linux-PAM-0.80/modules/pam_unix: support.c~
